QGIS Application - Feature request #4299
Change TOC symbology classes order according to order in the "style" tab of the vector properties
2011-09-21 09:46 AM - Andrew Chapman

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 14236
Description

When using categorized new symbology, if the entries are sorted by Value, the labels can be edited but when they are next loaded, the
wrong entries were changed.

As an aside, it would be nice if when the values were sorted (by value or label) this became the new order in both the dialog and Layers
window.

History

#1 - 2011-10-02 12:01 PM - Giovanni Manghi

- OS version deleted (1.7.0)

- Tracker changed from Bug report to Feature request

- Subject changed from New symbology layer properties changing wrong label to Change TOC symbology classes according to ordering in the "style"
tab in the vector properties

- Category changed from GUI to Map Legend

- Operating System deleted (Windows)

The first par is duplicate of #4334.

I'll change the subject to reflect the feature request in the second part od the description.

#2 - 2011-10-02 12:02 PM - Giovanni Manghi
- Subject changed from Change TOC symbology classes according to ordering in the "style" tab in the vector properties to Change TOC symbology

classes order according to order in the "style" tab of the vector properties

#3 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#4 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:15 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2015-12-05 02:48 AM - Médéric RIBREUX
- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100
Hello, bug triage...

in QGIS 2.13 master (and probably in previous versions), the order of the categorized and graduated renderers is preserved from what is displayed in the
Style tab and what is shown on the Layers Panel.

| am closing this feature request.
